<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:09 CEST 2021 -->
<title>Uses of Class back.Joueur</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class back.Joueur";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../back/Joueur.html" title="class in back">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?back/class-use/Joueur.html" target="_top">Frames</a></li>
<li><a href="Joueur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class back.Joueur" class="title">Uses of Class<br>back.Joueur</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#back">back</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="back">
<!--   -->
</a>
<h3>Uses of <a href="../../back/Joueur.html" title="class in back">Joueur</a> in <a href="../../back/package-summary.html">back</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> that return <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../back/Joueur.html" title="class in back">Joueur</a></code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#getJoueur--">getJoueur</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../back/Joueur.html" title="class in back">Joueur</a></code></td>
<td class="colLast"><span class="typeNameLabel">Propriete.</span><code><span class="memberNameLink"><a href="../../back/Propriete.html#getProprio--">getProprio</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> that return types with arguments of type <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../back/Joueur.html" title="class in back">Joueur</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Partie.</span><code><span class="memberNameLink"><a href="../../back/Partie.html#getLesJoueurs--">getLesJoueurs</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../back/Joueur.html" title="class in back">Joueur</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Service.</span><code><span class="memberNameLink"><a href="../../back/Service.html#getListeProprio--">getListeProprio</a></span>()</code>
<div class="block">Méthode de récuperation de la listes des propriétaires.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../back/Joueur.html" title="class in back">Joueur</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">CentreCommercial.</span><code><span class="memberNameLink"><a href="../../back/CentreCommercial.html#getListeProprio--">getListeProprio</a></span>()</code>
<div class="block">Méthode de récuperation de la listes des propriétaires.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../back/package-summary.html">back</a> with parameters of type <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Service.</span><code><span class="memberNameLink"><a href="../../back/Service.html#acheter-back.Joueur-">acheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'achat d'un Service.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Salle.</span><code><span class="memberNameLink"><a href="../../back/Salle.html#acheter-back.Joueur-">acheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Methode d'achat d'une Salle.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="typeNameLabel">Propriete.</span><code><span class="memberNameLink"><a href="../../back/Propriete.html#acheter-back.Joueur-">acheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode abstraite pour toutes les propriétés.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CentreCommercial.</span><code><span class="memberNameLink"><a href="../../back/CentreCommercial.html#acheter-back.Joueur-">acheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'achat d'un centre commercial.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">TaxeDeLuxe.</span><code><span class="memberNameLink"><a href="../../back/TaxeDeLuxe.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Fait payer au joueur la taxe.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SalleDeDS.</span><code><span class="memberNameLink"><a href="../../back/SalleDeDS.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Methode d'action de la case.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Propriete.</span><code><span class="memberNameLink"><a href="../../back/Propriete.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'action de la case.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Interactif.</span><code><span class="memberNameLink"><a href="../../back/Interactif.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Depart.</span><code><span class="memberNameLink"><a href="../../back/Depart.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'action de la case.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Action de la case.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="typeNameLabel">Case.</span><code><span class="memberNameLink"><a href="../../back/Case.html#actionCase-back.Joueur-">actionCase</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'action de la case.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">SalleDeDS.</span><code><span class="memberNameLink"><a href="../../back/SalleDeDS.html#ajouterJoueurEnDS-back.Joueur-">ajouterJoueurEnDS</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Partie.</span><code><span class="memberNameLink"><a href="../../back/Partie.html#ajouterUnJoueur-back.Joueur-">ajouterUnJoueur</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>
<div class="block">Permet d'ajouter un Joueur a l'ArrayList de Joueur.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#avancerReculer-back.Joueur-">avancerReculer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode permettant d'envoyer un joueur à une salle précise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#avancerReculerTexte-back.Joueur-">avancerReculerTexte</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de remplacer le texte des cartes chance ayant un impact sur la position du joueur.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#carteConservee-back.Joueur-">carteConservee</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de changer la valeur de modificateur du joueur sur le nombre de DS.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#cartesConserveeTexte-back.Joueur-">cartesConserveeTexte</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui attribu le bons texte aux cartes pouvant être conservée.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Depart.</span><code><span class="memberNameLink"><a href="../../back/Depart.html#caseDepart-back.Joueur-">caseDepart</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode d'action de la case.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Partie.</span><code><span class="memberNameLink"><a href="../../back/Partie.html#contientJoueur-back.Joueur-">contientJoueur</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>
<div class="block">Test l'existence d'un Joueur dans l'ArrayList de Joueur.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#executeLaBonneCarte-back.Joueur-">executeLaBonneCarte</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de lancer l'éxécution des cartes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#gagnerPerdreArgent-back.Joueur-">gagnerPerdreArgent</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui ajoute/retire l'argent d'un joueur ayant tiré une carte chance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#gagnerPerdreArgentTexte-back.Joueur-">gagnerPerdreArgentTexte</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de réaliser les actions des cartes chance faisant perdre ou gagner de l'argent à des joueurs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><span class="typeNameLabel">SalleDeDS.</span><code><span class="memberNameLink"><a href="../../back/SalleDeDS.html#getNbToursDS-back.Joueur-">getNbToursDS</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">SalleDeDS.</span><code><span class="memberNameLink"><a href="../../back/SalleDeDS.html#joueurEnDS-back.Joueur-">joueurEnDS</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode permettant de vérifier si un joueur est en DS</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#lesModificateurs-back.Joueur-">lesModificateurs</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode permettant de mofifier les dés des joueurs, d'impacter leur position, de leur proposer un choix,</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#lesModificateursTexte-back.Joueur-">lesModificateursTexte</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui ajoute le texte aux cartes qui mofidient les déplacements du joueur.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">TaxeDeLuxe.</span><code><span class="memberNameLink"><a href="../../back/TaxeDeLuxe.html#montantTaxe-back.Joueur-">montantTaxe</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Calcul le montant de la taxe à payer.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Service.</span><code><span class="memberNameLink"><a href="../../back/Service.html#payerLoyer-back.Joueur-">payerLoyer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode de payement d'un service.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Salle.</span><code><span class="memberNameLink"><a href="../../back/Salle.html#payerLoyer-back.Joueur-">payerLoyer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Renvoie le coût du loyer en fonction du nombre de matériels de la salle</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="typeNameLabel">Propriete.</span><code><span class="memberNameLink"><a href="../../back/Propriete.html#payerLoyer-back.Joueur-">payerLoyer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode abstraite pour toutes les propriétés.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CentreCommercial.</span><code><span class="memberNameLink"><a href="../../back/CentreCommercial.html#payerLoyer-back.Joueur-">payerLoyer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode de payement d'un centre commercialß.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Partie.</span><code><span class="memberNameLink"><a href="../../back/Partie.html#retirerJoueur-back.Joueur-">retirerJoueur</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#seDeplacer-back.Joueur-">seDeplacer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui permet de déplacer un joueur.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Statistiques.</span><code><span class="memberNameLink"><a href="../../back/Statistiques.html#setJoueur-back.Joueur-">setJoueur</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Salle.</span><code><span class="memberNameLink"><a href="../../back/Salle.html#setProprio-back.Joueur-">setProprio</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;proprio)</code>
<div class="block">Méthode de modification du propriétaire de la propriété.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Propriete.</span><code><span class="memberNameLink"><a href="../../back/Propriete.html#setProprio-back.Joueur-">setProprio</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;proprio)</code>
<div class="block">Méthode de modification du propriétaire de la propriété.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">SalleDeDS.</span><code><span class="memberNameLink"><a href="../../back/SalleDeDS.html#supprimerJoueurEnDs-back.Joueur-">supprimerJoueurEnDs</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode de suppression d'un joueur de la liste des joueur en salle des DS</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Chance.</span><code><span class="memberNameLink"><a href="../../back/Chance.html#tempsTour-back.Joueur-">tempsTour</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>
<div class="block">Méthode qui modifie le temps du tour du joueur.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">SalleDeDS.</span><code><span class="memberNameLink"><a href="../../back/SalleDeDS.html#tentativeEvasion-back.Joueur-">tentativeEvasion</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../back/package-summary.html">back</a> with type arguments of type <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Partie.</span><code><span class="memberNameLink"><a href="../../back/Partie.html#setLesJoueurs-java.util.ArrayList-">setLesJoueurs</a></span>(java.util.ArrayList&lt;<a href="../../back/Joueur.html" title="class in back">Joueur</a>&gt;&nbsp;lesJoueurs)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<h3>Uses of <a href="../../back/Joueur.html" title="class in back">Joueur</a> in <a href="../../view/package-summary.html">view</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> that return <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../back/Joueur.html" title="class in back">Joueur</a></code></td>
<td class="colLast"><span class="typeNameLabel">JoueurClassementView.</span><code><span class="memberNameLink"><a href="../../view/JoueurClassementView.html#getJoueur--">getJoueur</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#acheter-back.Joueur-back.Propriete-">acheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
       <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#ameliorer-back.Joueur-int-">ameliorer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
         int&nbsp;min)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionAmeliorerView.</span><code><span class="memberNameLink"><a href="../../view/ActionAmeliorerView.html#ameliorerProprietes-back.Joueur-">ameliorerProprietes</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionAmeliorerView.</span><code><span class="memberNameLink"><a href="../../view/ActionAmeliorerView.html#ameliorerProprietes-back.Joueur-boolean-">ameliorerProprietes</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur,
                   boolean&nbsp;etat)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionVendreView.</span><code><span class="memberNameLink"><a href="../../view/ActionVendreView.html#auto-back.Joueur-">auto</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionAmeliorerView.</span><code><span class="memberNameLink"><a href="../../view/ActionAmeliorerView.html#auto-back.Joueur-">auto</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#avancer-back.Joueur-">avancer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#chance-back.Chance-back.Joueur-">chance</a></span>(<a href="../../back/Chance.html" title="class in back">Chance</a>&nbsp;chance,
      <a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#pasAcheter-back.Joueur-back.Propriete-">pasAcheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
          <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#payer-back.Joueur-back.Propriete-">payer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
     <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ActionVendreView.</span><code><span class="memberNameLink"><a href="../../view/ActionVendreView.html#peutVendre-back.Joueur-">peutVendre</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionAcheter-back.Joueur-back.Propriete-">setActionAcheter</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionAmeliorer-back.Joueur-int-">setActionAmeliorer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                  int&nbsp;min)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionAvancer-back.Joueur-">setActionAvancer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionChance-back.Chance-back.Joueur-">setActionChance</a></span>(<a href="../../back/Chance.html" title="class in back">Chance</a>&nbsp;chance,
               <a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionPayer-back.Joueur-back.Propriete-">setActionPayer</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
              <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#setActionVendre-back.Joueur-int-back.Propriete-">setActionVendre</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
               int&nbsp;val,
               <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ServiceView.</span><code><span class="memberNameLink"><a href="../../view/ServiceView.html#setModif-back.Joueur-int-boolean-">setModif</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur,
        int&nbsp;modif,
        boolean&nbsp;etat)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SalleView.</span><code><span class="memberNameLink"><a href="../../view/SalleView.html#setModif-back.Joueur-int-boolean-">setModif</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur,
        int&nbsp;modif,
        boolean&nbsp;etat)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ProprieteView.</span><code><span class="memberNameLink"><a href="../../view/ProprieteView.html#setModif-back.Joueur-int-boolean-">setModif</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur,
        int&nbsp;modif,
        boolean&nbsp;etat)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CentreCommercialView.</span><code><span class="memberNameLink"><a href="../../view/CentreCommercialView.html#setModif-back.Joueur-int-boolean-">setModif</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur,
        int&nbsp;modif,
        boolean&nbsp;etat)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionView.</span><code><span class="memberNameLink"><a href="../../view/ActionView.html#vendre-back.Joueur-int-back.Propriete-">vendre</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
      int&nbsp;val,
      <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionVendreView.</span><code><span class="memberNameLink"><a href="../../view/ActionVendreView.html#vendreProprietes-back.Joueur-">vendreProprietes</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ActionVendreView.</span><code><span class="memberNameLink"><a href="../../view/ActionVendreView.html#vendreProprietes-back.Joueur-boolean-">vendreProprietes</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur,
                boolean&nbsp;etat)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../back/Joueur.html" title="class in back">Joueur</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionAcheterView.html#ActionAcheterView-back.Joueur-back.Propriete-">ActionAcheterView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                 <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionAmeliorerView.html#ActionAmeliorerView-back.Joueur-int-">ActionAmeliorerView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                   int&nbsp;min)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionAvancerView.html#ActionAvancerView-back.Joueur-">ActionAvancerView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionChanceView.html#ActionChanceView-back.Chance-back.Joueur-">ActionChanceView</a></span>(<a href="../../back/Chance.html" title="class in back">Chance</a>&nbsp;chance,
                <a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionPayerView.html#ActionPayerView-back.Joueur-back.Propriete-">ActionPayerView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
               <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionVendreView.html#ActionVendreView-back.Joueur-int-back.Propriete-">ActionVendreView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j,
                int&nbsp;aPayer,
                <a href="../../back/Propriete.html" title="class in back">Propriete</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ActionView.html#ActionView-back.Joueur-">ActionView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/FicheJoueur.html#FicheJoueur-back.Joueur-">FicheJoueur</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/JoueurClassementView.html#JoueurClassementView-back.Joueur-">JoueurClassementView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;j)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/Pion.html#Pion-back.Joueur-java.lang.String-">Pion</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur,
    java.lang.String&nbsp;couleur)</code>
<div class="block">Le constructeur de la classe Pion permet de creer un nouveau pion.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../view/ResumeJoueurView.html#ResumeJoueurView-back.Joueur-">ResumeJoueurView</a></span>(<a href="../../back/Joueur.html" title="class in back">Joueur</a>&nbsp;joueur)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../back/Joueur.html" title="class in back">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?back/class-use/Joueur.html" target="_top">Frames</a></li>
<li><a href="Joueur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
